package D2P::Entity::Index;
use base qw(D2P::Entity);


sub	init
{
	my	$this = shift;

	$this->SUPER::init(@_);
	$this->{type} = 'index';
	$this->{isUnique} = 0;
	$this->{table} = undef;
	$this->{fields} = [];
	$this->{name} = "";
	$this->{leftHdl} = $this->{rightHdl} = -1;
	$this->{comment} = undef;
}


sub	getFields
{
	my	$this = shift;
	return	@{$this->{fields}};
}


sub	addField
{
	my	$this = shift;
	my	$nfld = shift;

	return 0 if (!ref($nfld) || (ref($nfld) !~ /^D2P::Entity::Field(::.*)?$/));
	push @{$this->{fields}}, $nfld;

	return	1;
}


1;
